package cn.com.qmth.ex;

import java.util.Date;
import java.util.Vector;
import java.util.concurrent.atomic.AtomicInteger;

import org.apache.commons.lang3.StringUtils;
import org.apache.log4j.LogManager;
import org.apache.log4j.Logger;

import cn.com.qmth.ex.bean.MyConsumer;
import cn.com.qmth.ex.bean.MyProducer;

public class ExportPaperByCourseCode {

    private static Logger logger = LogManager.getLogger(ExportPaperByCourseCode.class);

    private static AtomicInteger count = new AtomicInteger(0);

    private static Vector<String> noQuestion = new Vector<>();

    public static void main(String[] args) {
        logger.debug("导出开始");
        Date start = new Date();
        try {
            MyProducer pro = new MyProducer();
            pro.startDispose(MyConsumer.class, 8, null);
        } catch (Exception e) {
            logger.error(e.getCause(), e);
        }
        Date end = new Date();
        if (noQuestion.size() > 0) {
            logger.debug("无试题：" + StringUtils.join(noQuestion, ","));
        }
        logger.debug("导出结束，耗时：" + ((end.getTime() - start.getTime()) / 1000));
    }

    public static void addDisposeCount() {
        count.addAndGet(1);
        logger.debug("处理了" + count);
    }

    public static void addNoQues(String code) {
        noQuestion.add(code);
    }
}
